package com.bytedance.android.livesdk.livesetting.roomfunction;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_room_poll_duration")
public final class LivePollDurationSetting {
    @Group(isDefault = true, value = "default group")
    public static final long DEFAULT = 60000;
    public static final LivePollDurationSetting INSTANCE = new LivePollDurationSetting();

    public final long getSecond() {
        return getMillisecond() / 1000;
    }

    static {
        Covode.recordClassIndex(18321);
    }

    public final long getMillisecond() {
        return SettingsManager.INSTANCE.getLongValue(LivePollDurationSetting.class);
    }
}
